﻿/**Begin D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCRET_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCS_TAXDRAFT') 
 CREATE TABLE T_TCRET_CCS_TAXDRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONDATE DATETIME,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREID BIGINT DEFAULT 0 NOT NULL,
FSUMYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CCS_TAXDRAFT_EN') 
 CREATE TABLE T_TCRET_CCS_TAXDRAFT_EN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDTAXES DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCSBDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCPZDM VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCLX VARCHAR(50) DEFAULT ' ' NOT NULL,
FCCZCRQ DATETIME,
FZXRQ DATETIME,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CZTDS_TAXDRAFT') 
 CREATE TABLE T_TCRET_CZTDS_TAXDRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONDATE DATETIME,
FISXXWLQY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREID BIGINT DEFAULT 0 NOT NULL,
FDECLAREBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_CZTDS_TAXDRAFT_EN') 
 CREATE TABLE T_TCRET_CZTDS_TAXDRAFT_EN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FLANDAREA DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEVEL VARCHAR(50) DEFAULT ' ' NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDTAXES DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXSTANDARD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCSCJ_TAXDRAFT') 
 CREATE TABLE T_TCRET_FCSCJ_TAXDRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONDATE DATETIME,
FISXXWLQY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREID BIGINT DEFAULT 0 NOT NULL,
FDECLARENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCSCJ_TAXDRAFT_EN') 
 CREATE TABLE T_TCRET_FCSCJ_TAXDRAFT_EN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FRENTALVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSERTVALUE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATIO DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDTAXES DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCSCZ_TAXDRAFT')
 CREATE TABLE T_TCRET_FCSCZ_TAXDRAFT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTORG BIGINT DEFAULT 0 NOT NULL,
FTAXOFFICE BIGINT DEFAULT 0 NOT NULL,
FCOLLECTIONDATE DATETIME,
FISXXWLQY VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLARESTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECLAREID BIGINT DEFAULT 0 NOT NULL,
FDECLARENUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUMYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCRET_FCSCZ_TAXDRAFT_EN')
 CREATE TABLE T_TCRET_FCSCZ_TAXDRAFT_EN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMODIFIERFIELD BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATEFIELD DATETIME,
FSOURCEID BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTAXBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTPAYABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENTJMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPAIDTAXES DECIMAL(23,10) DEFAULT 0 NOT NULL,
FYBTSE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLEASECONTRACTNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FFCSBASICINFO BIGINT DEFAULT 0 NOT NULL,
FCURRENTAL DECIMAL(23,10) DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL
);


/**End D:\cgq\develop\document\dba\PDMTOOLS\PDMTOOLS\PDM_UPGRADE_1.3\PDM_UPGRADE\pdm1\TCRET_table.sql **/
